aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLaurent Ghigonis <laurent@p1sec.com>2013-06-20 18:16:16 +0200
committerLaurent Ghigonis <laurent@p1sec.com>2013-06-20 18:16:16 +0200
commitf244bbbe560f98d9dda191d96e3c1f32ad6959b4 (patch)
tree7fd9fad0699d3a54d6358f2b76efa1dbd86d029a
parenttools: add nmcli-manage.sh - Set an interface as managed / unmanaged by Network Manager (diff)
downloadlaurent-tools-f244bbbe560f98d9dda191d96e3c1f32ad6959b4.tar.xz
laurent-tools-f244bbbe560f98d9dda191d96e3c1f32ad6959b4.zip
tools: add wifcap.sh - WIFI capture helper
-rwxr-xr-xtools/wifcap.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/tools/wifcap.sh b/tools/wifcap.sh
new file mode 100755
index 0000000..f021351
--- /dev/null
+++ b/tools/wifcap.sh
@@ -0,0 +1,42 @@
+# wifcap - WIFI capture helper
+# 2012 laurent@gouloum.fr
+
+script=`basename $0`
+if [ $# -lt 3 -o $# -gt 4 ]; then
+ echo "usage: $script output-prefix iface channel [libpcap_filter]"
+ echo -e "\t\tchannel=x: activate hopping by running airodump-ng w/o channel"
+ echo "example: sudo $script nadege-flat wlan0 x"
+ exit 1
+fi
+if [ `id -u` -ne 0 ]; then
+ echo "must be root"
+ exit 1
+fi
+prefix=$1
+iface=$2
+channel=$3
+if [ $# -eq 4 ]; then
+ filter=$4
+else
+ filter=""
+fi
+iface_mon=mon0
+date=$(date +%Y%m%d-%H%M%S)
+output="${date}_${prefix}"
+
+ifconfig $iface_mon >/dev/null 2>&1
+if [ $? -ne 0 ]; then
+ airmon-ng start $iface
+fi
+
+if [ $channel != "x" ]; then
+ channel_cmd="--chan $channel"
+ output="$output-c$channel"
+else
+ channel_cmd=""
+fi
+output="$output.pcap"
+tmux new-session -d -s wifcap "set -x; tcpdump -Z nobody -s0 -w \"$output\" -ni $iface_mon $filter"
+tmux new-window -t wifcap "airodump-ng -i $iface_mon $channel_cmd"
+tmux attach-session -t wifcap
+